Summary: 	Shoot 'em up game with 3D graphics
Name:		powermanga
Version:	0.93.1
Release:	%mkrel 4
License:	GPLv3+
Group:		Games/Shooter
URL:		http://linux.tlk.fr/games/Powermanga/
Source0:	https://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tgz
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png

BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
Requires(post):		rpm-helper

%description
In this "shoot 'em up" with 3d graphics, you'll have to face and destroy
more than 60 different types of opponents. Nice musics, many weapons, and
a ton of surprises.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

install -d install %{buildroot}%{_gamesdatadir}/%{name}/texts
install -m 644 texts/*.txt texts/*.ini %{buildroot}%{_gamesdatadir}/%{name}/texts

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=PowerManga
GenericName=Shoot 'em up
Comment=Shoot 'em up game with 3D graphics
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%post
#hi scores are now in a proper dir we recover previous one if they exist
for i in hi hi-easy hi-hard ; do
  if [ -f %{_localstatedir}/lib/games/%{name}.$i ] ; then
    mv %{_localstatedir}/lib/games/%{name}.$i %{_localstatedir}/games/%{name}/%{name}.$i
  fi
done

%files
%doc README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.6*
%{_mandir}/fr/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%attr(755, root, games) %dir %{_localstatedir}/games/%{name}
%attr(664, root, games) %config(noreplace) %{_localstatedir}/games/%{name}/%{name}.hi
%attr(664, root, games) %config(noreplace) %{_localstatedir}/games/%{name}/%{name}.hi-easy
%attr(664, root, games) %config(noreplace) %{_localstatedir}/games/%{name}/%{name}.hi-hard


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.93.1-4.mga9
+ Revision: 1839665
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.93.1-3.mga8
+ Revision: 1516162
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.93.1-2.mga7
+ Revision: 1300359
- Mageia 7 Mass Rebuild

* Fri Jan 15 2016 akien <akien> 0.93.1-1.mga6
+ Revision: 923241
- Version 0.93.1

* Wed Nov 11 2015 daviddavid <daviddavid> 0.93-4.mga6
+ Revision: 902452
- add upstream patch to fix build with gcc5
  * see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=778072

* Fri Oct 24 2014 akien <akien> 0.93-3.mga5
+ Revision: 792942
- Fix binary permissions

* Wed Oct 15 2014 umeabot <umeabot> 0.93-2.mga5
+ Revision: 743746
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 akien <akien> 0.93-1.mga5
+ Revision: 721966
- Version 0.93

* Tue Sep 16 2014 umeabot <umeabot> 0.92-2.mga5
+ Revision: 687750
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 akien <akien> 0.92-1.mga5
+ Revision: 669035
- Version 0.92

* Sat Oct 19 2013 umeabot <umeabot> 0.91-5.mga4
+ Revision: 526209
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.91-4.mga4
+ Revision: 436057
- rebuild for new libpng

* Sat Mar 16 2013 zezinho <zezinho> 0.91-3.mga3
+ Revision: 403493
- fix hiscore move script

* Sun Feb 17 2013 zezinho <zezinho> 0.91-2.mga3
+ Revision: 398855
- upstream patch to allow sprite export

* Sun Feb 03 2013 zezinho <zezinho> 0.91-1.mga3
+ Revision: 394276
- fix BR and hi score path according to LSB
- new version

* Sun Jan 13 2013 umeabot <umeabot> 0.90-13.mga3
+ Revision: 378135
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 0.90-12.mga3
+ Revision: 343812
- add patch for automake-1.13
- updated RPM groups

* Tue Dec 25 2012 wally <wally> 0.90-11.mga3
+ Revision: 334989
- add patch to fix linking
- clean .spec

* Tue Apr 26 2011 wally <wally> 0.90-10.mga1
+ Revision: 91815
- fix desktop file name (mga#954)
- fix exec line in desktop file
- drop buildroot definition

* Wed Mar 09 2011 nanardon <nanardon> 0.90-9.mga1
+ Revision: 66799
- old mdv cleanup
- imported package powermanga


* Mon Feb 07 2011 Funda Wang <fwang@mandriva.org> 0.90-9mdv2011.0
+ Revision: 636577
- tighten BR
- tighten BR

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.90-8mdv2011.0
+ Revision: 607198
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.90-7mdv2010.1
+ Revision: 523698
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.90-6mdv2010.0
+ Revision: 426774
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.90-5mdv2009.1
+ Revision: 351634
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.90-4mdv2008.1
+ Revision: 179249
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 25 2007 Adam Williamson <awilliamson@mandriva.org> 0.90-3mdv2008.0
+ Revision: 92912
- drop the patch again (the bug was fixed upstream with a silent tarball replacement)
- replace tarball from upstream
- fd.o icons
- improve summary and description a bit
- add powermanga-0.90-fontpath.patch to fix font path (#34094)

* Tue Sep 04 2007 Funda Wang <fwang@mandriva.org> 0.90-2mdv2008.0
+ Revision: 79011
- build on x86_64 too
- GPLv3 now

* Tue Sep 04 2007 Funda Wang <fwang@mandriva.org> 0.90-1mdv2008.0
+ Revision: 78987
- BR png-devel
- Newversion 0.90

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Dec 01 2006 Olivier Blin <oblin@mandriva.com> 0.80-2mdv2007.0
+ Revision: 89894
- install texts files to be able to start the game (#23612)
- remove old comment
- Import powermanga

* Fri Jun 30 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.80-1mdv2007.0
- 0.80
- %%mkrel
- add xdg menu
- update url
- fix prereq-use

* Thu Aug 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.79-1mdk
- 0.79
- cosmetics

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.78-4mdk
- Rebuild with new menu

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 0.78-3mdk
- Rebuild

